#!/bin/bash -
# @(#)  linux_patch_install.sh: Installs patch for (acer/founder).
# @(#)  Author: balajit@amiindia.co.in
# ----------------------------------------------------------------------------
# Created On : 26/July/2012
#

# Determine the Linux distribution and version that is being run.
   #
   # Check for GNU/Linux distributions
   if [ -f /etc/SuSE-release ]; then
     DISTRIBUTION="suse"
   elif [ -f /etc/UnitedLinux-release ]; then
     DISTRIBUTION="united"
  elif [ -f /etc/debian_version ]; then
    DISTRIBUTION="debian"
  elif [ -f /etc/redhat-release ]; then
    a=`grep -i 'red.*hat.*enterprise.*linux' /etc/redhat-release`
    if test $? = 0; then
      DISTRIBUTION=rhel
    else
      a=`grep -i 'red.*hat.*linux' /etc/redhat-release`
      if test $? = 0; then
        DISTRIBUTION=rh
      else
        a=`grep -i 'cern.*e.*linux' /etc/redhat-release`
        if test $? = 0; then
          DISTRIBUTION=cel
        else
          a=`grep -i 'scientific linux cern' /etc/redhat-release`
          if test $? = 0; then
            DISTRIBUTION=slc
          else
            DISTRIBUTION="unknown"
          fi
        fi
      fi
    fi
  else
    DISTRIBUTION="unknown"
  fi

touch t3
uname -m|grep -i "x86_64">t3
ARCH=$(wc -l<t3)
rm -f t3
if [[ "$ARCH" -gt "0" ]]
then
#64 bit Architecture
 case ${DISTRIBUTION} in
  rh|cel|rhel)
      VERSION=`cat /etc/redhat-release | sed -e 's#[^0-9]##g' -e 's#7[0-2]#73#'`
	echo "Distribution::${DISTRIBUTION} Version::$VERSION ARCH::64 bit"
	if [[ "$VERSION" -ge 50 ]]
	then
	cd scripts
        ./rhel5_64_patch.sh
	cd ..
        fi
	if [[ "$VERSION" -ge 60 ]]
        then
        cd scripts
        ./rhel6_64_patch.sh
	cd ..
        fi
      ;;
  suse)
      VERSION=`cat /etc/SuSE-release | grep 'VERSION' | sed  -e 's#[^0-9]##g'`
	echo "Distribution::${DISTRIBUTION} Version::$VERSION ARCH::64 bit"
	 if [[ "$VERSION" -eq 11 ]]
        then
	cd scripts
        ./sles11_64_patch.sh
	cd ..
        fi
      ;;
   esac;

else
#32 bit Architecture
 case ${DISTRIBUTION} in
  rh|cel|rhel)
      VERSION=`cat /etc/redhat-release | sed -e 's#[^0-9]##g' -e 's#7[0-2]#73#'`
	echo "Distribution::${DISTRIBUTION} Version::$VERSION ARCH::32 bit"
        if [[ "$VERSION" -ge 50 ]]
        then
	cd scripts
        ./rhel5_32_patch.sh
	cd ..
        fi
	if [[ "$VERSION" -ge 60 ]]
        then
	cd scripts
        ./rhel6_32_patch.sh
	cd ..
        fi

      ;;
   suse)
      VERSION=`cat /etc/SuSE-release | grep 'VERSION' | sed  -e 's#[^0-9]##g'`
	echo "Distribution::${DISTRIBUTION} Version::$VERSION ARCH::32 bit"
        if [[ "$VERSION" -eq 11 ]]
        then
	cd scripts
        ./sles11_32_patch.sh
	cd ..
        fi
      ;;
     *)    
    echo "Distribution::${DISTRIBUTION} "
	echo "Patch doen't support for this platform"
	echo "Hint::"
	echo "Patch supports only for the following  platforms"
	echo "
		RHEL5 32 bit
		RHEL5 64 bit
		RHEL6 32 bit
                RHEL6 64 bit
		SLES11 32 bit	
		SLES11 64 bit
		        	"

	;;
   esac;
fi
exit 0























